GET https://flowapp.nuraml.com/api/task/retrieve
This endpoint is used to fetch a task.
curlcurl -X GET \ -H "Content-Type: application/json" \ -H "flow-api-key: your_api_key_here" \ "https://flowapp.nuraml.com/api/task/retrieve?id=<task_id>"
| flow-api-key | string | required |
| id | string | required |
The unique id of a task.
This response will match the following schema
| id | string |
The id of the task
| userId | string |
The id of the user account
| status | string |
The status of the task.
| status | description |
|---|---|
| queued | the task is in the queue, waiting to be picked up |
| processing | task is being worked on |
| failed | the task has failed |
| complete | the task has completed without errors |
| blueprintId | string |
The id of the the parent blueprint
| createdAt | time |
The time that the task was created
| completedAt | time |
The time that the task was completed
| executionDurationSeconds | number |
The number of seconds that it took for the task to run.
This value is only updated once a node has completed
| input | string |
The values that are being used as inputs
| thumbnail | string |
The thumbnail rendering of the task.
This is only applicable when the task has graphic based inputs/outputs.
| response | string |
The response of the task. This value is only present during processing of the nodes.
| errors | list |
A list of errors that are are returned
| currentNode | string |
The current node that is being processed. This value is only present during the processing of the nodes.